from django.utils import simplejson
from django.core import serializers
from dajaxice.decorators import dajaxice_register
from website.models import Note
from django.shortcuts import get_object_or_404


@dajaxice_register
def load_note(request, id_note):
	note = Note.objects.filter(id=int(id_note))
	note = serializers.serialize("json",note)
	return simplejson.dumps({'note':note})

@dajaxice_register
def save_note(request,name,note,id_note):
	if(id_note==''):
		n = Note()
		n.user = request.user
	else:	
		n = get_object_or_404(Note, id=id_note)
	n.text = note
	n.name = name
	n.save()
	#return simplejson.dumps({'id':n.id})

@dajaxice_register
def remove_note(request,id_note):
	n = get_object_or_404(Note, id=id_note)
	n.delete()
	#return simplejson.dumps({'id':n.id})