# encoding: utf-8
from django import forms
from django.contrib.auth.forms import UserCreationForm
from django.contrib.auth.models import User

class NoteForm(forms.Form):
    message = forms.CharField(widget = forms.Textarea)

class RegisterForm(UserCreationForm):
	username = forms.RegexField(label=("Username"), max_length=30, regex=r'^[\w.@+-]+$',error_messages = {'invalid': ("This value may contain only letters, numbers and @/./+/-/_ characters.")})
	password1 = forms.CharField(label=("Password"), widget=forms.PasswordInput)
	password2 = forms.CharField(label=("Confirme el password"), widget=forms.PasswordInput)
	email = forms.EmailField(label=("Email"))

	class Meta:
		model = User
		fields = ("username", "email", )