from django.db import models
from django.contrib.auth.models import User

class Note(models.Model):
	name = models.TextField(blank=False)
	text = models.TextField(blank=True)
	timestamp = models.DateTimeField(auto_now_add=True)
	modified = models.DateTimeField(auto_now=True)
	user = models.ForeignKey(User)

	def __unicode__(self):
		return u"Note from %s: %s" % (self.user.username, self.text)


class Profile(models.Model):
	user = models.OneToOneField(User, unique=True) 
	bio = models.CharField(blank=True, max_length=200)
	
	def __unicode__(self): return u"Profile %s" % self.user.username


def profile_signal_callback(sender, **kwargs):
	if kwargs.get('created'):
		profile = Profile()
		profile.user = User.objects.get(id=kwargs.get('instance').id)
		profile.save()

		from django.db.models.signals import post_save
		post_save.connect(profile_signal_callback, sender=User, dispatch_uid="users-profilecreation-signal")			
